Package: org.apache.groovy.antlr

## [Java] Class LexerFrame

- org.apache.groovy.antlr.LexerFrame

- All Implemented Interfaces and Traits:
    ActionListener

      public class LexerFrame
      extends JFrame
      implements ActionListener

  Swing application to graphically display the tokens produced by the lexer.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JFrame` | `DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LexerFrame()` Constructor used when invoking as a standalone application
    `LexerFrame(Reader reader)` Constructor used when invoking for a specific file

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public static void` | `main(String[] args)`
    `` | `public void` | `mouseReleased(MouseEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JFrame` | `remove, update, getLayeredPane, getContentPane, setIconImage, getAccessibleContext, getGraphics, getRootPane, repaint, isDefaultLookAndFeelDecorated, setDefaultCloseOperation, getDefaultCloseOperation, setDefaultLookAndFeelDecorated, setTransferHandler, getTransferHandler, setLayout, setGlassPane, setLayeredPane, setContentPane, setJMenuBar, getJMenuBar, getGlassPane, remove, getState, setState, setOpacity, setShape, setUndecorated, isUndecorated, isResizable, setResizable, setBackground, addNotify, removeNotify, setCursor, getTitle, setTitle, setMenuBar, getMenuBar, setMaximizedBounds, getExtendedState, setExtendedState, getIconImage, getMaximizedBounds, getCursorType, getFrames, getType, isOpaque, isActive, getOwner, setSize, setSize, getLocale, dispose, getShape, setType, pack, setLocationByPlatform, isAlwaysOnTop, setAlwaysOnTop, setIconImages, toFront, toBack, getOwnedWindows, isAlwaysOnTopSupported, isFocused, getFocusableWindowState, applyResourceBundle, applyResourceBundle, addWindowListener, addWindowFocusListener, addWindowStateListener, setModalExclusionType, getIconImages, getWarningString, getOwnerlessWindows, getModalExclusionType, removeWindowListener, removeWindowStateListener, removeWindowFocusListener, getWindowListeners, getWindowFocusListeners, getWindowStateListeners, setFocusableWindowState, setAutoRequestFocus, isAutoRequestFocus, setLocationRelativeTo, isLocationByPlatform, getOpacity, getListeners, paint, isFocusCycleRoot, getFocusCycleRootAncestor, setMinimumSize, getWindows, setLocation, setLocation, getBackground, reshape, setBounds, setBounds, isShowing, hide, isValidateRoot, getFocusOwner, postEvent, getMostRecentFocusOwner, getFocusTraversalKeys, setFocusCycleRoot, getToolkit, getInputContext, show, addPropertyChangeListener, addPropertyChangeListener, createBufferStrategy, createBufferStrategy, isFocusableWindow, setCursor, getBufferStrategy, setVisible, add, add, add, add, add, remove, list, list, validate, print, removeAll, invalidate, locate, setFont, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, getPreferredSize, getMaximumSize, getMinimumSize, getInsets, getAlignmentY, getAlignmentX, getComponent, layout, setFocusTraversalKeys, preferredSize, minimumSize, insets, countComponents, getComponentZOrder, doLayout, deliverEvent, findComponentAt, findComponentAt, isFocusTraversalPolicyProvider, applyComponentOrientation, addContainerListener, setComponentZOrder, paintComponents, printComponents, removeContainerListener, getContainerListeners, getMousePosition, isAncestorOf, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusTraversalPolicyProvider, transferFocusDownCycle, getLayout, getComponents, getComponentCount, getComponentAt, getComponentAt, getName, add, toString, size, contains, contains, list, list, list, getBounds, getBounds, bounds, getLocation, getLocation, getParent, action, setName, location, getSize, getSize, resize, resize, move, isEnabled, enable, enable, setLocale, isValid, disable, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, getForeground, getFont, getTreeLock, getWidth, getHeight, printAll, isDoubleBuffered, isDisplayable, nextFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, getFontMetrics, setPreferredSize, isPreferredSizeSet, setMaximumSize, isMaximumSizeSet, isMinimumSizeSet, dispatchEvent, getBaseline, getBaselineResizeBehavior, setForeground, isLightweight, getPropertyChangeListeners, getPropertyChangeListeners, getGraphicsConfiguration, isFocusable, isFocusOwner, transferFocus, transferFocusBackward, getMousePosition, getLocationOnScreen, show, getColorModel, getY, getX, revalidate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, inside, mouseEnter, mouseExit, mouseMove, mouseDown, mouseDrag, mouseUp, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, hasFocus, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addInputMethodListener, addHierarchyListener, addHierarchyBoundsListener, addMouseWheelListener, setComponentOrientation, setDropTarget, getDropTarget, enableInputMethods, isForegroundSet, isBackgroundSet, isFontSet, getCursor, isCursorSet, paintAll, imageUpdate, setIgnoreRepaint, getIgnoreRepaint, removeComponentListener, getComponentListeners, removeFocusListener, getFocusListeners, removeHierarchyListener, getHierarchyListeners, removeHierarchyBoundsListener, getHierarchyBoundsListeners, removeKeyListener, getKeyListeners, removeMouseListener, getMouseListeners, removeMouseMotionListener, getMouseMotionListeners, removeMouseWheelListener, getMouseWheelListeners, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, getComponentOrientation, setMixingCutoutShape, handleEvent, isVisible, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public LexerFrame()

      Constructor used when invoking as a standalone application

    - #### public LexerFrame(Reader reader)

      Constructor used when invoking for a specific file

  - ### Method Detail

    - #### @Override
      public void actionPerformed(ActionEvent ae)

    - #### @Override
      public void actionPerformed(ActionEvent ae)

    - #### public static void main(String[] args)

    - #### @Override
      public void mouseReleased(MouseEvent e)